Bug 109594 - totem assert failure: totem: src/intel/genxml/gen9_pack.h:72: __gen_uint: La declaración `v <= max' no se cumple.
Summary: totem assert failure: totem: src/intel/genxml/gen9_pack.h:72: __gen_uint: La ...
Status: REOPENED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 18.3
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
: 109595 (view as bug list)
Depends on:
Blocks: mesa-19.0
  Show dependency treegraph
 
Reported: 2019-02-08 22:33 UTC by El jinete sin cabeza
Modified: 2019-02-21 14:38 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Screenshot when it fails. Totem is left full screen (92.75 KB, image/png)
2019-02-11 13:55 UTC, El jinete sin cabeza
Details

Note You need to log in before you can comment on or make changes to this bug.
Description El jinete sin cabeza 2019-02-08 22:33:13 UTC
Open bug in launchpad.net:

https://bugs.launchpad.net/bugs/1815236

Package: mesa 18.3.2-1ubuntu1
Package: totem 3.30.0-4ubuntu1

"I'm not sure, but this happened after updating to gstreamer 1.15.1"

BackTrace:
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
        set = {__val = {0, 94498293496560, 94498277471360, 140682175812304, 140733120872448, 94498293496560, 94498293496560, 94498293496560, 94498293496560, 94498293496653, 94498293496660, 94498293496560, 94498293496660, 0, 0, 0}}
        pid = <optimized out>
        tid = <optimized out>
        ret = <optimized out>
#1  0x00007ff31f173535 in __GI_abort () at abort.c:79
        save_stage = 1
        act = {__sigaction_handler = {sa_handler = 0x55f219373af0, sa_sigaction = 0x55f219373af0}, sa_mask = {__val = {0, 140682177240128, 4294967295, 0, 0, 0, 140730987235576, 21474836480, 140730987235424, 140682076995107, 140682076995107, 0, 7607704802042790912, 140682177002746, 0, 140682076995107}}, sa_flags = 312829004, sa_restorer = 0x7ff312a5416c}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00007ff31f17340f in __assert_fail_base (fmt=0x7ff31939be23 <error: Cannot access memory at address 0x7ff31939be23>, assertion=0x7ff312a5416c "v <= max", file=0x7ff312a5644c "src/intel/genxml/gen9_pack.h", line=72, function=<optimized out>) at assert.c:92
        str = 0x55f219373af0 "\260\341;\031\362U"
        total = 4096
#3  0x00007ff31f183142 in __GI___assert_fail (assertion=assertion@entry=0x7ff312a5416c "v <= max", file=file@entry=0x7ff312a5644c "src/intel/genxml/gen9_pack.h", line=line@entry=72, function=function@entry=0x7ff312a56938 <__PRETTY_FUNCTION__.50862> "__gen_uint") at assert.c:101
No locals.
#4  0x00007ff3127baffc in __gen_uint (v=<optimized out>, start=16, end=31) at src/intel/genxml/gen9_pack.h:64
        max = <optimized out>
        width = <optimized out>
        width = <optimized out>
        __PRETTY_FUNCTION__ = "__gen_uint"
        max = <optimized out>
#5  __gen_uint (end=<optimized out>, start=<optimized out>, v=<optimized out>) at src/intel/genxml/gen9_pack.h:64
        width = <optimized out>
        width = <optimized out>
        __PRETTY_FUNCTION__ = "__gen_uint"
        max = <optimized out>
#6  GEN9_SCISSOR_RECT_pack (data=0x0, values=<synthetic pointer>, dst=0x7ff2a2e275a0) at src/intel/genxml/gen9_pack.h:649
        dw = 0x7ff2a2e275a0
        dw = <optimized out>
#7  gen9_upload_scissor_state (brw=0x55f21842b480) at ../src/mesa/drivers/dri/i965/genX_state_upload.c:2471
        i = 0
        ctx = 0x55f21842b480
        flip_y = true
        scissor = <optimized out>
        scissor_state_offset = 1440
        fb_width = <optimized out>
        fb_height = 385
        scissor_map = 0x7ff2a2e275a0
        viewport_count = 1
#8  0x00007ff312359a91 in check_and_emit_atom (atom=0x55f218442608, state=<synthetic pointer>, brw=0x55f21842b480) at ../src/mesa/drivers/dri/i965/brw_state_upload.c:496
No locals.
#9  brw_upload_pipeline_state (pipeline=BRW_RENDER_PIPELINE, brw=0x55f21842b480) at ../src/mesa/drivers/dri/i965/brw_state_upload.c:615
        atom = 0x55f218442608
        devinfo = <optimized out>
        ctx = 0x55f21842b480
        i = <optimized out>
        state = {mesa = 203243528, brw = 225179989974337547}
        fb_samples = <optimized out>
        num_atoms = <optimized out>
        atoms = 0x55f2184420b0
        devinfo = <optimized out>
        ctx = <optimized out>
        i = <optimized out>
        dirty_count = 0
        state = <optimized out>
        fb_samples = <optimized out>
        atoms = <optimized out>
        num_atoms = <optimized out>
        __PRETTY_FUNCTION__ = "brw_upload_pipeline_state"
        examined = <optimized out>
        prev = <optimized out>
        atom = <optimized out>
        generated = <optimized out>
        atom = <optimized out>
#10 brw_upload_render_state (brw=brw@entry=0x55f21842b480) at ../src/mesa/drivers/dri/i965/brw_state_upload.c:637
No locals.
#11 0x00007ff312344d2c in brw_draw_single_prim (indirect=0x0, stream=0, xfb_obj=0x0, prim_id=0, prim=<optimized out>, ctx=0x55f21842b480) at ../src/mesa/drivers/dri/i965/brw_draw.c:987
        brw = 0x55f21842b480
        devinfo = <optimized out>
        new_firstvertex = <optimized out>
        fail_next = false
        new_baseinstance = <optimized out>
        vs_prog_data = <optimized out>
        brw = <optimized out>
        devinfo = <optimized out>
        fail_next = <optimized out>
        new_firstvertex = <optimized out>
        new_baseinstance = <optimized out>
        vs_prog_data = <optimized out>
        uses_draw_parameters = <optimized out>
        ret = <optimized out>
        _warned = false
        msg_id = 0
#12 brw_draw_prims (ctx=0x55f21842b480, prims=<optimized out>, nr_prims=1, ib=<optimized out>, index_bounds_valid=<optimized out>, min_index=<optimized out>, max_index=<optimized out>, gl_xfb_obj=0x0, stream=0, indirect=0x0) at ../src/mesa/drivers/dri/i965/brw_draw.c:1107
        i = 0
        brw = 0x55f21842b480
        predicate_state = 0
        xfb_obj = 0x0
#13 0x00007ff3125a169a in _mesa_draw_arrays (drawID=0, baseInstance=0, numInstances=1, count=4, start=0, mode=6, ctx=0x55f21842b480) at ../src/mesa/main/draw.c:408
        prim = {mode = 6, indexed = 0, begin = 1, end = 1, is_indirect = 0, pad = 0, start = 0, count = 4, basevertex = 0, num_instances = 1, base_instance = 0, draw_id = 0, indirect_offset = 0}
        prim = <optimized out>
#14 _mesa_draw_arrays (ctx=0x55f21842b480, mode=6, start=0, count=4, numInstances=1, baseInstance=0, drawID=0) at ../src/mesa/main/draw.c:385
        prim = <optimized out>
#15 0x00007ff3125a1f6c in _mesa_exec_DrawArrays (mode=6, start=0, count=4) at ../src/mesa/main/draw.c:565
        ctx = 0x55f21842b480
        __func__ = <optimized out>
#16 0x00007ff31ec5bb5f in _cogl_framebuffer_gl_draw_attributes (framebuffer=0x55f21893dad0, pipeline=<optimized out>, mode=COGL_VERTICES_MODE_TRIANGLE_FAN, first_vertex=<optimized out>, n_vertices=4, attributes=<optimized out>, n_attributes=5, flags=(COGL_DRAW_SKIP_JOURNAL_FLUSH | COGL_DRAW_SKIP_PIPELINE_VALIDATION | COGL_DRAW_SKIP_FRAMEBUFFER_FLUSH | COGL_DRAW_SKIP_LEGACY_STATE)) at driver/gl/cogl-framebuffer-gl.c:1185
        __err = <optimized out>
#17 0x00007ff31ec9f899 in _cogl_journal_flush_modelview_and_entries (batch_start=<optimized out>, batch_len=1, data=0x7ffe7c80cde0) at cogl-journal.c:341
        state = 0x7ffe7c80cde0
        ctx = 0x55f218461820
        framebuffer = 0x55f21893dad0
        attributes = 0x55f218f087a0
        draw_flags = (COGL_DRAW_SKIP_JOURNAL_FLUSH | COGL_DRAW_SKIP_PIPELINE_VALIDATION | COGL_DRAW_SKIP_FRAMEBUFFER_FLUSH | COGL_DRAW_SKIP_LEGACY_STATE)
#18 0x00007ff31eca01e9 in batch_and_call (data=0x7ffe7c80cde0, batch_callback=0x7ff31eca0450 <_cogl_journal_flush_pipeline_and_entries>, can_batch_callback=0x7ff31ec9f8f0 <compare_entry_pipelines>, n_entries=1, entries=0x55f218f1be70) at cogl-journal.c:565
        i = <optimized out>
        batch_len = 1
        batch_start = 0x55f218f1be70
        i = <optimized out>
        batch_len = <optimized out>
        batch_start = <optimized out>
        entry0 = <optimized out>
        entry1 = <optimized out>
#19 _cogl_journal_flush_texcoord_vbo_offsets_and_entries (batch_start=0x55f218f1be70, batch_len=1, data=0x7ffe7c80cde0) at cogl-journal.c:565
        state = 0x7ffe7c80cde0
        create_attrib_state = {current = 3, flush_state = 0x7ffe7c80cde0}
        i = <optimized out>
#20 0x00007ff31ec9fe85 in batch_and_call (data=0x7ffe7c80cde0, batch_callback=0x7ff31eca0140 <_cogl_journal_flush_texcoord_vbo_offsets_and_entries>, can_batch_callback=0x7ff31ec9fad0 <compare_entry_layer_numbers>, n_entries=1, entries=0x55f218f1be70) at cogl-journal.c:673
        i = <optimized out>
        batch_len = 1
        batch_start = 0x55f218f1be70
        i = <optimized out>
        batch_len = <optimized out>
        batch_start = <optimized out>
        entry0 = <optimized out>
        entry1 = <optimized out>
#21 _cogl_journal_flush_vbo_offsets_and_entries (batch_start=0x55f218f1be70, batch_len=1, data=<optimized out>) at cogl-journal.c:673
        state = <optimized out>
        ctx = <optimized out>
        stride = 40
        i = <optimized out>
        attribute_entry = <optimized out>
#22 0x00007ff31eca10af in batch_and_call (data=0x7ffe7c80cde0, batch_callback=0x7ff31ec9fc30 <_cogl_journal_flush_clip_stacks_and_entries>, can_batch_callback=0x7ff31ec9f5f0 <compare_entry_clip_stacks>, n_entries=<optimized out>, entries=<optimized out>) at cogl-journal.c:252
        i = <optimized out>
        batch_len = 1
        batch_start = <optimized out>
        i = <optimized out>
        batch_len = <optimized out>
        batch_start = <optimized out>
        entry0 = <optimized out>
        entry1 = <optimized out>
#23 _cogl_journal_flush (journal=0x55f2188e73c0) at cogl-journal.c:1400
        framebuffer = <optimized out>
        ctx = <optimized out>
        state = {ctx = 0x55f218461820, journal = 0x55f2188e73c0, attribute_buffer = 0x7ff2dc0b91f0, attributes = 0x55f2182256f0, current_attribute = 0, stride = 40, array_offset = 0, current_vertex = 0, indices = 0x55f218e38580, indices_type_size = 140682189031711, pipeline = 0x55f218e47800}
        i = <optimized out>
        framebuffer = <optimized out>
        ctx = <optimized out>
        state = <optimized out>
        i = <optimized out>
        _g_boolean_var_ = <optimized out>
        _g_boolean_var_ = <optimized out>
#24 _cogl_journal_flush (journal=0x55f2188e73c0) at cogl-journal.c:1297
        framebuffer = <optimized out>
        ctx = <optimized out>
        state = <optimized out>
        i = <optimized out>
        _g_boolean_var_ = <optimized out>
        _g_boolean_var_ = <optimized out>
#25 0x00007ff31eca251c in _cogl_framebuffer_flush_journal (framebuffer=<optimized out>) at cogl-framebuffer.c:636
No locals.
#26 0x00007ff31ec706d8 in cogl_flush () at cogl.c:323
        l = 0x55f21829b000
        ctx = <optimized out>
#27 0x00007ff31eca5cb2 in cogl_onscreen_swap_buffers_with_damage (onscreen=0x55f21893dad0, rectangles=rectangles@entry=0x7ffe7c80cfd0, n_rectangles=n_rectangles@entry=0) at cogl-onscreen.c:316
        framebuffer = 0x55f21893dad0
        winsys = <optimized out>
        info = <optimized out>
        __func__ = "cogl_onscreen_swap_buffers_with_damage"
#28 0x00007ff31ed646d7 in clutter_stage_cogl_redraw (stage_window=0x55f21803d320) at cogl/clutter-stage-cogl.c:639
        stage_cogl = 0x55f21803d320
        geom = {x = 0, y = 0, width = 652, height = 385}
        have_clip = <optimized out>
        may_use_clipped_redraw = <optimized out>
        use_clipped_redraw = <optimized out>
        can_blit_sub_buffer = <optimized out>
        has_buffer_age = <optimized out>
        wrapper = <optimized out>
        clip_region = <optimized out>
        damage = {0, 1058262330, 0, 0}
        ndamage = 0
        force_swap = <optimized out>
        window_scale = <optimized out>
#29 0x00007ff31ed6789a in clutter_stage_gdk_redraw (stage_window=0x55f21803d320) at gdk/clutter-stage-gdk.c:678
        stage_gdk = 0x55f21803d320
        clock = 0x55f2180a0c60
#30 0x00007ff31edd2f40 in clutter_stage_do_redraw (stage=0x55f21879aeb0) at clutter-stage.c:1130
        backend = <optimized out>
        actor = 0x55f21879aeb0
        priv = 0x55f21879a8b0
        backend = <optimized out>
        actor = <optimized out>
        priv = <optimized out>
#31 _clutter_stage_do_update (stage=stage@entry=0x55f21879aeb0) at clutter-stage.c:1186
        priv = <optimized out>
#32 0x00007ff31ed6716f in master_clock_update_stage (master_clock=0x55f218e08a40, stage=0x55f21879aeb0) at gdk/clutter-master-clock-gdk.c:249
        stage_updated = 0
        stage_updated = <optimized out>
#33 clutter_master_clock_gdk_update (frame_clock=0x55f2180a0c60, master_clock=0x55f218e08a40) at gdk/clutter-master-clock-gdk.c:306
        stage = 0x55f21879aeb0
        stages = <optimized out>
        l = 0x55f2182c9820
#34 0x00007ff31fe57c7d in g_closure_invoke (closure=0x55f218e317f0, return_value=0x0, n_param_values=1, param_values=0x7ffe7c80d310, invocation_hint=0x7ffe7c80d290) at ../../../gobject/gclosure.c:810
        marshal = 0x7ff31fe59c50 <g_cclosure_marshal_VOID__VOID>
        marshal_data = 0x0
        in_marshal = 0
        real_closure = 0x55f218e317d0
        __FUNCTION__ = "g_closure_invoke"
#35 0x00007ff31fe6b345 in signal_emit_unlocked_R (node=node@entry=0x55f21808f7a0, detail=detail@entry=0, instance=instance@entry=0x55f2180a0c60, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7ffe7c80d310) at ../../../gobject/gsignal.c:3635
        tmp = <optimized out>
        handler = 0x55f218e08b40
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x55f2180a0c60, ihint = {signal_id = 63, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x0
        hlist = <optimized out>
        handler_list = 0x55f2188aef00
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 63
        max_sequential_handler_number = 6651
        return_value_altered = 1
#36 0x00007ff31fe7425e in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7ffe7c80d4c0) at ../../../gobject/gsignal.c:3391
        instance_and_params = 0x7ffe7c80d310
        signal_return_type = <optimized out>
        param_values = 0x7ffe7c80d328
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __FUNCTION__ = "g_signal_emit_valist"
#37 0x00007ff31fe7491f in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at ../../../gobject/gsignal.c:3447
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7ffe7c80d5a0, reg_save_area = 0x7ffe7c80d4e0}}
#38 0x00007ff31eb83a8d in ?? () from /tmp/apport_sandbox_44z5qtdg/usr/lib/x86_64-linux-gnu/libgdk-3.so.0
No symbol table info available.
#39 0x00007ff31eb6ec08 in ?? () from /tmp/apport_sandbox_44z5qtdg/usr/lib/x86_64-linux-gnu/libgdk-3.so.0
No symbol table info available.
#40 0x00007ff31fd76863 in g_timeout_dispatch (source=0x55f218f21ba0, callback=<optimized out>, user_data=<optimized out>) at ../../../glib/gmain.c:4667
        timeout_source = 0x55f218f21ba0
        again = <optimized out>
#41 0x00007ff31fd75dd8 in g_main_dispatch (context=0x55f218045c90) at ../../../glib/gmain.c:3182
        dispatch = 0x7ff31fd76850 <g_timeout_dispatch>
        prev_source = 0x0
        was_in_call = 0
        user_data = 0x55f218706680
        callback = 0x7ff31eb6ebe0
        cb_funcs = <optimized out>
        cb_data = 0x55f218e470b0
        need_destroy = <optimized out>
        source = 0x55f218f21ba0
        current = 0x55f218011230
        i = 0
        current = <optimized out>
        i = <optimized out>
        __FUNCTION__ = "g_main_dispatch"
        source = <optimized out>
        _g_boolean_var_ = <optimized out>
        was_in_call = <optimized out>
        user_data = <optimized out>
        callback = <optimized out>
        cb_funcs = <optimized out>
        cb_data = <optimized out>
        need_destroy = <optimized out>
        dispatch = <optimized out>
        prev_source = <optimized out>
        _g_boolean_var_ = <optimized out>
#42 g_main_context_dispatch (context=context@entry=0x55f218045c90) at ../../../glib/gmain.c:3847
No locals.
#43 0x00007ff31fd761c8 in g_main_context_iterate (context=context@entry=0x55f218045c90, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:3920
        max_priority = 120
        timeout = 0
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = 5
        fds = 0x7ff3080121d0
#44 0x00007ff31fd7625c in g_main_context_iteration (context=context@entry=0x55f218045c90, may_block=may_block@entry=1) at ../../../glib/gmain.c:3981
        retval = <optimized out>
#45 0x00007ff31fc3699d in g_application_run (application=0x55f2180281a0, argc=<optimized out>, argv=0x7ffe7c80d8b8) at ../../../gio/gapplication.c:2470
        arguments = 0x55f218024ec0
        status = 0
        context = 0x55f218045c90
        acquired_context = 1
        __FUNCTION__ = "g_application_run"
#46 0x000055f21672e278 in main (argc=<optimized out>, argv=<optimized out>) at ../src/totem.c:83
        totem = 0x55f2180281a0
Comment 1 Chris Wilson 2019-02-09 00:07:45 UTC
*** Bug 109595 has been marked as a duplicate of this bug. ***
Comment 2 Lionel Landwerlin 2019-02-10 22:03:19 UTC
I managed to reproduce only once, but then lost my session.

Is there a way to reproduce this reliably?
Comment 3 El jinete sin cabeza 2019-02-11 12:52:50 UTC
(In reply to Lionel Landwerlin from comment #2)
> I managed to reproduce only once, but then lost my session.

It happens the same to me. I must press "ctrl + alt + f3" a terminal opens, and restart Ubuntu.


> Is there a way to reproduce this reliably?

I can always reproduce this bug. I open the movie through 'nautilus'. Totem opens, and I watch the movie. But if 'maximizo' totem freezes the desktop.
Comment 4 Lionel Landwerlin 2019-02-11 13:04:38 UTC
(In reply to El jinete sin cabeza from comment #3)
> (In reply to Lionel Landwerlin from comment #2)
> > I managed to reproduce only once, but then lost my session.
> 
> It happens the same to me. I must press "ctrl + alt + f3" a terminal opens,
> and restart Ubuntu.
> 
> 
> > Is there a way to reproduce this reliably?
> 
> I can always reproduce this bug. I open the movie through 'nautilus'. Totem
> opens, and I watch the movie. But if 'maximizo' totem freezes the desktop.

How do you trigger maximize? Double click on the title bar or Alt-ArrowUp or something else?
Comment 5 El jinete sin cabeza 2019-02-11 13:47:54 UTC
I do not know if the error is random. But after the update that I made today. The error does not happen.
Comment 6 El jinete sin cabeza 2019-02-11 13:55:31 UTC
Created attachment 143360 [details]
Screenshot when it fails. Totem is left full screen

It happened to me again. By leaving the movie full screen.
Comment 7 Denis 2019-02-12 14:46:44 UTC
Hi, could you please provide an example of movie which reproduces the issue? In my case I simply using "mp4 sample" video with rabbit, it could be not enough for reproducing the issue.
Comment 8 El jinete sin cabeza 2019-02-12 14:50:44 UTC
(In reply to Denis from comment #7)
> Hi, could you please provide an example of movie which reproduces the issue?
> In my case I simply using "mp4 sample" video with rabbit, it could be not
> enough for reproducing the issue.

https://pirateproxy.bet/torrent/9496094/Akira_(1988)_-_25th_Anniversary_Edition_[BD_1080p]
Comment 9 Kenneth Graunke 2019-02-13 06:17:06 UTC
Setting back to Drivers/DRI/i965, which is the driver you are using.
Comment 10 Denis 2019-02-15 17:23:50 UTC
hey guys, we spent lot of time for investigation of this issue, and found out that this patch fixes everything:
>https://gitlab.freedesktop.org/mesa/mesa/merge_requests/252


Short bug description:
1. Issue is reproducible only on Wayland session, we couldn't reproduce it on X
2. There are actually 3 issues in total:

1) Assertion error in player
2) strange system "hang" which leads to only one way - rebooting
3) weird "extra" artifacts in the player during resizing window.

3. We managed to bisect 2) problem, and it leaded us to this commit:
__________
a9fb331ea7d1a78936ea8d8385e44cfd66f835c1 is the first bad commit
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Jun 6 10:13:05 2018 +0000

    wayland/egl: update surface size on window resize


 CC: Daniel Stone <daniel@fooishbar.org>
    CC: mesa-stable@lists.freedesktop.org
    Reviewed-by: Daniel Stone <daniels@collabora.com>
__________
So that's how we found that merge_request. As I said, for me it fixed all 3 issues, but would be great if somebody could also re-test it.
Comment 11 Paul 2019-02-21 14:36:11 UTC
Hi guys
The fix was merged to master.
I've rechecked the issues.
Main issue was fixed - the system doesn't hang at resizing of the totem-player.
Also, during the testing, I found a patch (https://patchwork.freedesktop.org/patch/267292/) which fixes the issue with crash of the totem-app.
Comment 12 Paul 2019-02-21 14:38:26 UTC
will close this issue when one more patch appears in master


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.